/* parsecomps.h - header file for new component list format */

#define CGROUP_FLAG_INMENU 1
#define CGROUP_FLAG_REQUIRED 2
#define CGROUP_FLAG_WARN 4
#define CGROUP_FLAG_OPTIONAL 8

#define DEFAULT_PRIORITY 30000

struct _componentGroup {
	struct _componentGroup *next;
	char *name;
	char *installtypes;
	char flags;
	int priority;
	char *helptext;
	int numRequires;
	int numSuggests;
	int numConflicts;
	struct _componentGroup **requires;
	struct _componentGroup **suggests;
	struct _componentGroup **conflicts;
};

typedef struct _componentGroup componentGroup;

#define ITYPE_FLAG_DOREQUIRED 1
#define ITYPE_FLAG_DOSUGGESTED 2
#define ITYPE_FLAG_SATISFYDEPS 4

typedef struct _installType installType;
typedef int (*itypeFunction)(installType *, componentGroup *);

struct _installType {
	struct _installType *next;
	char *name;
	componentGroup *compList;
	int size;
	itypeFunction prepareFunction;
	char *helptext;
};

struct _helptextTable {
	char *componentname;
	char *helptext;
};

